<?php
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Ext-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/


// no direct access
defined('_JEXEC') or die;

require_once (JPATH_SITE.'/modules/mod_menu/helper.php'); 

$list				= modMenuHelper::getList($params);
$active				= modMenuHelper::getActive($params);
$active_id 			= $active->id;
$path				= $active->tree;
$showAll			= $params->get('showAllChildren');
$class_sfx			= htmlspecialchars($params->get('class_sfx'));
$ext_style_menu		= $params->get('stylemenu');
$ext_menu			= $params->get('ext_menu');
$ext_mootools		= $params->get('mootools');
$ext_opacity		= $params->get('opacity');
$ext_hidedelay		= $params->get('hidedelay');
$ext_physics		= $params->get('physics');
$ext_duration		= $params->get('duration');
$ext_effect			= $params->get('effect');
$ext_direction_x	= $params->get('ext_direction_x', 'right');
$ext_direction_y	= $params->get('ext_direction_y', 'down');

$ext_generate_id	=(int)$params->get('ext_generate_id', 1);
$ext_id				= $params->get('ext_id', '1');
if ($ext_generate_id == 1) {
	$rand1 = rand(1,100);
	$rand2 = rand(1,100);
	$ext_id = $rand1.$rand2;
}


if(count($list)) {
	require JModuleHelper::getLayoutPath('mod_ext_menumatic', $params->get('layout', 'default'));
}
?>

